### 6.1 `fdopen64`—turn open large file into a stream ¶

Synopsis

    #include <stdio.h>
    FILE *fdopen64(int fd, const char *mode);
    FILE *_fdopen64_r(void *reent,
        int fd, const char *mode);

Description
`fdopen64` produces a file descriptor of type `FILE *`, from a descriptor for an already-open file (returned, for example, by the system subroutine `open` rather than by `fopen`). The mode argument has the same meanings as in `fopen`.

Returns
File pointer or `NULL`, as for `fopen`.